boost::geometry::cs::spherical< DegreeOrRadian > Struct Template Reference
coordinate systems

Spherical (polar) coordinate system, in degree or in radian. More...

List of all members.

## Public Types

typedef core_detail::coordinate_system_units < DegreeOrRadian >::units | units

## Detailed Description

### template<typename DegreeOrRadian>
struct boost::geometry::cs::spherical< DegreeOrRadian >

Spherical (polar) coordinate system, in degree or in radian.

Defines the spherical coordinate system where points are defined in two angles and an optional radius usually known as r, theta, phi

Coordinates:
  - coordinate 0: 0 <= phi < 2pi is the angle between the positive x-axis and the line from the origin to the P projected onto the xy-plane.
  - coordinate 1: 0 <= theta <= pi is the angle between the positive z-axis and the line formed between the origin and P.
  - coordinate 2 (if specified): r >= 0 is the distance from the origin to a given point P.

See also:
  http://en.wikipedia.org/wiki/Spherical_coordinates

## Member Typedef Documentation

template<typename DegreeOrRadian >

typedef core_detail::coordinate_system_units< DegreeOrRadian >::units boost::geometry::cs::spherical< DegreeOrRadian >::units

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK